FAQ  [RICOH THETA V]

What version of the basic app for computer supports RICOH THETA V?

RICOH THETA V is supported with version 3.0.0 or later. Download the latest version here.
If you are using version 2.3.4 or earlier, uninstall it before installing the latest version.


Page Top